// LICENSE : MIT
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _wordUtils = require("./word-utils");

/**
 * Build acronym from words.
 *
 * Word Word Word => WWW
 */
class AcronymCreator {
  constructor() {
    this._wordQueue = [];
  }

  addWord(word) {
    this._wordQueue.push(word);
  }

  canExtractAcronym() {
    return this._wordQueue.length > 0;
  }

  extractAcronym() {
    var acronym = (0, _wordUtils.expandWordsToAcronym)(this._wordQueue);
    this.clear();
    return acronym;
  }

  clear() {
    this._wordQueue = [];
  }

}

exports.default = AcronymCreator;
//# sourceMappingURL=AcronymCreator.js.map